#ifndef __CPDB_H__

#define __CPDB_H__

#include <dir.h>
#include "opdb.h"

typedef struct{
	struct ffblk fb;
	char drive[MAXDRIVE];
	char dir[MAXDIR];
} ENUMCPDB;

typedef unsigned HCPDB;
typedef unsigned HCHARPAT;

#ifdef __cplusplus
extern "C" {
#endif

/* text ɊYᕶ DB t@C */
/* ŏ wildcard w肷B NULL ɂB */
/* ߂ĺAYt@C 1 łȂ 0 */
int findCPDB(ENUMCPDB *encp,
		const char *wildcard, const char *text, char *buf, int bufsize);

/* f[^x[Xǂ */
/* f[^x[X́A"frame ????"  "input text" ڂĂ
΂ȂȂ */
HCPDB LoadCPDB(const char *fn, const char *text_dir);

/* nhԂ */
void ReleaseCPDB(HCPDB hcpdb);

/* Ή OPDB nh𓾂 */
HOPDB GetCPDBsOPDB(HCPDB hcpdb);

/* R[h𓾂 */
unsigned GetCPDBCharCode(HCPDB hcpdb, int char_no);

/* R[h當ԍ𓾂 */
int GetCPDBCharNo(HCPDB hcpdb, unsigned code, int start_no);

/* 𓾂 */
int GetCPDBCharCount(HCPDB hcpdb);

/* p^[𓾂 */
HCHARPAT LoadCPDBCharPattern(HCPDB hcpdb, int char_no);

/* CP nhԂ */
void ReleaseCPDBCharPattern(HCHARPAT hcpdb);

/* Xg[N𓾂 */
int GetCPStrokeCount(HCHARPAT hcp);

/* Xg[N𓾂 */
OPDB_XY *GetCPStroke(HCHARPAT hcp, int stroke_no);
OPDB_XY *GetCPStrokeEx(HCHARPAT hcp, int stroke_no, void *add_info);
int AddCPStroke(HCHARPAT hcp, OPDB_XY *stroke, void *add_info, int count);

/* M_𓾂 */
int GetCPPointCount(HCHARPAT hcp, int stroke_no);

/* f[^x[X̕t𓾂 */
int GetCPDBAddInfo(HCPDB hcpdb,
		const char *item_name, void *buf, int type, int count);

void SetCPDBFrameMargin(int rx, int ry);

#ifdef	__cplusplus
}
#endif

#endif

/*
====================================================
	ALL Rights Reserved. Copyright(C) 1997,1998
	Information-Technology Promotion Agency &
	Hitachi Software Engineering Co.,Ltd.
====================================================
*/
