#ifdef _MSC_VER

#ifndef __BCTOVC_H__

#define __BCTOVC_H__

#ifndef M_PI
#define M_PI					3.1415926535
#endif

#ifndef __WIN32__
#define __WIN32__				__WIN32
#endif

#define sizeof(A)				((int)sizeof(A))

#ifndef max
#define max(a,b)				(((a) > (b)) ? (a): (b))
#endif

#ifndef min
#define min(a,b)				(((a) < (b)) ? (a): (b))
#endif

#ifndef asm
#define asm						__asm
#endif

#ifndef MAXDIR
#define MAXDIR					_MAX_DIR
#endif

#ifndef MAXDRIVE
#define MAXDRIVE				_MAX_DRIVE
#endif

#ifndef MAXEXT
#define MAXEXT					_MAX_EXT
#endif

#ifndef MAXFILE
#define MAXFILE					_MAX_FNAME
#endif

#ifndef MAXPATH
#define MAXPATH					_MAX_PATH
#endif

#ifndef _export
#define _export				
//__declspec(dllexport)
#endif

#ifdef NULL
#undef NULL
#define NULL					0
#endif

#define random(A)				(rand() * (A) / RAND_MAX)

#define randomize()				srand((unsigned)clock())

#define tmpnam(X)				_tmpnam(X)

struct dfree {
	unsigned df_avail;
	unsigned df_sclus;
	unsigned df_bsec;
};

struct date {
	int da_year;
	char da_mon;
	char da_day;
};

struct time {
	unsigned char ti_min;	/*  */
	unsigned char ti_hour;	/*  */
	unsigned char ti_hund;	/* 10 ~b */
	unsigned char ti_sec;	/* b */
};

#ifdef __cplusplus
extern "C" {
#endif

unsigned getdfree(unsigned drv_no, struct dfree *df);

void getdate(struct date *da);
void gettime(struct time *ti);

char *_tmpnam(char *buf);

#ifdef __cplusplus
}
#endif

#endif

#endif
