/*
-----------------------------------------------------------------------------

		IPDB additional information format library ̃wb_t@C

													Copyrighted by K.A

-----------------------------------------------------------------------------
*/

#ifndef __AIF_H__

#define __AIF_H__

#define MaxAIItemNameLen				81

enum{
	/* t񍀖ڃf[^^Cv */
	IT_Byte = 1, IT_Word, IT_DWord, IT_Char,
	/* ttH[}bg */
	AIF_Set = 1, AIF_Page, AIF_Stroke, AIF_Point,
};

typedef unsigned HAIFMT;

#ifdef __cplusplus
extern "C" {
#endif

/* ̕ttH[}bg쐬 */
HAIFMT CreateAddInfoFormat(void);
/* ttH[}bgp */
void ReleaseAddInfoFormat(HAIFMT haif);
/* tϊ */
int ConvertAddInfo(HAIFMT src_haif, void *src, HAIFMT dst_haif, void *dst);
/* t] */
void TransferAddInfo(const void *src, int src_offset, int src_type,
		int src_count, void *dst, int dst_offset, int dst_type, int dst_count);
/* t̃TCY𓾂 */
int GetAddInfoSize(HAIFMT haif);
/* t񍀖ڐ𓾂 */
int GetAddInfoItemCount(HAIFMT haif);
/* t񍀖ڂ̔ԍ𓾂 */
int GetAddInfoItemNo(HAIFMT haif, const char item_name[]);
/* t񍀖ڂǉ */
int AddAddInfoItem(HAIFMT haif,
		const char item_name[], int type, int array_count);
/* t񍀖ڂ폜 */
int DeleteAddInfoItem(HAIFMT haif, int item_No);
/* t񍀖ږ𓾂 */
int GetAddInfoItemName(HAIFMT haif,
		int item_No, char name_buf[], int buf_size);
/* t񍀖ڃf[^̐擪ItZbg𓾂 */
int GetAddInfoItemOffset(HAIFMT haif, int item_No);
/* t񍀖ڃf[^̃TCY𓾂 */
int GetAddInfoItemSize(HAIFMT haif, int item_No);
/* t񍀖ڃf[^̌^𓾂 */
int GetAddInfoItemType(HAIFMT haif, int item_No);
/* t񍀖ڃf[^̔z񐔂𓾂 */
int GetAddInfoItemArrayCount(HAIFMT haif, int item_No);

/* G[R[h𓾂 */
int GetAIFError(void);

#ifdef	__cplusplus
}
#endif

#endif
