#include <stdio.h>
#include "btypeio.h"

BYTE freadbyte(FILE *fp, int *err){
	int eflag;
	BYTE b;
	if((eflag = fread(&b, sizeof(b), 1, fp) < 1) != 0)
		b = 0;
	if(err != NULL)
		*err = eflag;
	return b;
}

WORD freadword(FILE *fp, int *err){
	int eflag;
	WORD w;
	if((eflag = fread(&w, sizeof(w), 1, fp) < 1) != 0)
		w = 0;
	if(err != NULL)
		*err = eflag;
	return w;
}

DWORD freaddword(FILE *fp, int *err){
	int eflag;
	DWORD dw;
	if((eflag = fread(&dw, sizeof(dw), 1, fp) < 1) != 0)
		dw = 0;
	if(err != NULL)
		*err = eflag;
	return dw;
}

int fwritebyte(FILE *fp, BYTE b){
	return (fwrite(&b, sizeof(b), 1, fp) < 1);
}

int fwriteword(FILE *fp, WORD w){
	return (fwrite(&w, sizeof(w), 1, fp) < 1);
}

int fwritedword(FILE *fp, DWORD dw){
	return (fwrite(&dw, sizeof(dw), 1, fp) < 1);
}
