#ifndef __RLB_H__

#include "ipdbsys.h"

#define __RLB_H__

#define RLBSizeX		640
#define RLBSizeY		480

#ifdef __cplusplus
extern "C" {
#endif

void *AllocRLB(void);
void FreeRLB(void *rlb);
int SaveRLB(HIPDB hipdb, int page_No, void *rlb);
int LoadRLB(HIPDB hipdb, int page_No, void *rlb);
int MakeRLBIndex(HIPDB hipdb, int page_count);
int RemoveRLBIndex(HIPDB hipdb);
int GetRLBIndexNo(HIPDB hipdb);
int AddRLBPages(HIPDB hipdb, int page_No, int page_count);
int DeleteRLBPages(HIPDB hipdb, int page_No, int page_count);

#ifdef __cplusplus
}
#endif

#endif
