#ifndef __DIR_H__

#define __DIR_H__

#include <stdlib.h>
#include <direct.h>
#include "bctovc.h"

#define FA_ARCH				_A_ARCH
#define FA_HIDDEN			_A_HIDDEN
#define FA_NORMAL			_A_NORMAL
#define FA_RDONLY			_A_RDONLY
#define FA_DIREC			_A_SUBDIR
#define FA_SYSTEM			_A_SYSTEM

struct ffblk {
	unsigned attrib;
	long ff_fsize;
	char ff_name[MAXFILE + MAXEXT - 1];
};

#ifdef __cplusplus
extern "C" {
#endif

void fnmerge(char *buf,
		const char *drive, const char *dir, const char *fn, const char *ext);
void fnsplit(const char *buf,
		char *drive, char *dir, char *fn, char *ext);

int findfirst(const char *fn, struct ffblk *fb, unsigned attrib);
int findnext(struct ffblk *fb);

int setdisk(int drv_no);

#ifdef __cplusplus
}
#endif

#endif
